Bug 95403 - TOOLBAR: Outline list split button UNO command
Summary: TOOLBAR: Outline list split button UNO command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other All
: medium enhancement
Assignee: Maxim Monastirsky
QA Contact:
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: UNO-Command Outline-View
  Show dependency treegraph
 
Reported: 2015-10-28 22:00 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-10-28 22:00:59 UTC
Similar to the bullet (.uno:DefaultBullet) and numbering (.uno:DefaultNumbering) list split buttons found in the formatting toolbar, we need a similar one for outline lists, to include entries found in the Bullets and Numbering dialog's Outline tab.
Comment 1 Maxim Monastirsky 2015-10-28 22:04:07 UTC
No problem.
Comment 2 Yousuf Philips (jay) 2015-10-29 14:44:01 UTC
Thanks Maxim. You can add it as a hidden entry in the formatting toolbar after numbering, for those who want to enable it.
Comment 3 Commit Notification 2015-11-14 23:03:48 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7272e8df62a12d6172b297d7a82a0265cd1bc44a

tdf#95403 Add Outline button

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.